<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
$action = $_GET['action'];

switch ($action){
	default :
		$character = $_GET['character'];
		$point_doi = abs(intval($_GET['point_doi']));
		$pass2 = $_GET['pass2'];
		
		if( $sendsv === false ) { echo "<font color='red'>Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện.</font>"; }
		elseif (empty($character))
		{
			echo "<font color='red'>Chưa chọn nhân vật.</font>";
		}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $character))
			{
			echo "<font color='red'>Dữ liệu lỗi - Nhân vật chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
			}
		elseif (preg_match("/[^0-9$]/", $point_doi))
		{
	    	echo "<font color='red'>Dữ liệu lỗi : $point_doi . Chỉ được sử dụng số (1-9).</font>"; 
		}
		elseif ( $point_doi <= 0 ) {
			echo "<font color='red'>Dữ liệu lỗi : Point Master cần đổi phải lớn hơn 0.</font>"; 
		}
		else {
		
			$getcontent_url = $server_url . "/sv_char.php";
			$getcontent_data = array(
					'login'    =>  $_SESSION['mu_username'],
					'name'    =>  $_SESSION['mu_nvchon'],
					'pass2'    =>  $pass2,
					'point_doi'    =>  $point_doi,
					
					'action'	=>	$action,
					'pagesv'	=>	'sv_char_master2goblinpoint',
					'string_login'    =>  $_SESSION['checklogin'],
					'passtransfer'    =>  $passtransfer
			);
			
			$reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
			
			if ( empty($reponse) ) echo "<font color='red'>Server bảo trì.</font>";
			elseif($reponse == "login_other") {
				echo "<font color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
				$info = explode('<vweb>',$reponse);
				if (isset($info[1]) && $info[1] == 'OK') {
					$_SESSION['acc_gcoin'] = $info[3];
				}
				echo $reponse;
			}
		}
}
?>